"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const JSON5 = require("json5");
module.exports = (context) => {
    const { filesystem } = context;
    // for now only JSON and JSON5 support
    let solidaritySettings;
    if (filesystem.exists('.solidarity')) {
        solidaritySettings = JSON5.parse(filesystem.read('.solidarity'));
    }
    else if (filesystem.exists('.solidarity.json')) {
        solidaritySettings = JSON5.parse(filesystem.read('.solidarity.json'));
    }
    else {
        // if we got here there was no solidarity file
        throw 'ERROR: No solidarity file was found';
    }
    // Check shape
    if (solidaritySettings.requirements) {
        return solidaritySettings;
    }
    else {
        throw 'ERROR: Found, but no requirements key.  Please validate your solidarity file';
    }
};
//# sourceMappingURL=getSolidaritySettings.js.map